import request from '@/utils/request'

export function listPropertyTemplate(query) {
  return request({
    url: '/crm/customerPropertyTemplate/list',
    method: 'get',
    params: query
  })
}

export function getPropertyTemplate(id) {
  return request({
    url: '/crm/customerPropertyTemplate/' + id,
    method: 'get'
  })
}

export function addPropertyTemplate(data) {
  return request({
    url: '/crm/customerPropertyTemplate',
    method: 'post',
    data: data
  })
}

export function updatePropertyTemplate(data) {
  return request({
    url: '/crm/customerPropertyTemplate',
    method: 'put',
    data: data
  })
}

export function delPropertyTemplate(id) {
  return request({
    url: '/crm/customerPropertyTemplate/' + id,
    method: 'delete'
  })
}

export function exportPropertyTemplate(query) {
  return request({
    url: '/crm/customerPropertyTemplate/export',
    method: 'get',
    params: query
  })
}
